

%define pygtk 2.10.3
%define gnomepython 2.10.0
%define oname gnome-python

Summary: GNOME Desktop bindings for Python
Name: gnome-python-desktop
Version: 2.32.0
Release: %mkrel 6
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%name-%{version}.tar.xz
URL: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-desktop/
License: LGPLv2+ and GPLv2+
Group: Development/GNOME and GTK+
BuildRequires: pygtk2.0-devel >= %pygtk
BuildRequires: gnome-python-devel >= %gnomepython
BuildRequires: gnome-python-gconf >= %gnomepython
BuildRequires: python-devel >= 2.7
BuildRequires: libwnck-devel >= 2.19.3
BuildRequires: librsvg-devel
BuildRequires: libgnome-keyring-devel >= 0.5.0
BuildRequires: libgcrypt-devel
BuildRequires: libcanberra-devel
BuildRequires: gnutls-devel
BuildRequires: libproxy-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}gtksourceview-1.0-devel
BuildRequires: %{_lib}gnome-desktop-2-devel
Requires: gnome-python >= %gnomepython

%description
The gnome-python-desktop package contains the Python bindings for the
GNOME Desktop modules.

%package -n %oname-gtksourceview
Version: %{version}
Summary: Python bindings for Gtksourceview
Group: Development/GNOME and GTK+
Requires: %oname-gnomeprint = %version

%description -n %oname-gtksourceview
This module contains a wrapper that makes Gtksourceview available from Python.

%package -n %oname-gtop
Version: %{version}
Summary: Python bindings for Gtop
Group: Development/GNOME and GTK+
Requires: %name = %version

%description -n %oname-gtop
This module contains a wrapper that makes Gtop available from Python.

%package -n %oname-gnomeprint
Summary: Python bindings for interacting with gnomeprint and gnomeprintui
Group: Development/GNOME and GTK+


%description -n %oname-gnomeprint
This module contains a wrapper that allows the use of gnomeprint and
gnomeprintui via python.

%package -n %oname-gnomekeyring
Summary: Python bindings for interacting with gnome-keyring
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}


%description -n %oname-gnomekeyring
This module contains a wrapper that allows the use of gnome-keyring via Python.

%prep
%setup -q

%build
%configure2_5x --disable-metacity --disable-applet
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;
find $RPM_BUILD_ROOT -name 'bugbuddy.*' -exec rm {} \;


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%doc examples/rsvg examples/keyring* examples/wnck*
%defattr(755,root,root,755)
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%_libdir/pkgconfig/%name-2.0.pc
%py_platsitedir/gtk-2.0/wnck.so
%py_platsitedir/gtk-2.0/rsvg.so
%py_platsitedir/gtk-2.0/gnomedesktop*

%files -n %oname-gtksourceview
%defattr(755,root,root,755)
#%py_platsitedir/gtk-2.0/gtksourceview.so
#%doc %_datadir/gtk-doc/html/pygtksourceview

%files -n %oname-gtop
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gtop.so

%files -n %oname-gnomeprint
%defattr(755,root,root,755)
#%py_platsitedir/gtk-2.0/gnomeprint/
#%_datadir/gtk-doc/html/pygnomeprint*

%files -n %{oname}-gnomekeyring
%{python_sitearch}/gtk-2.0/gnomekeyring.so


%changelog
* Thu Oct 08 2015 bb ,bb> 2.32.0-6pclos2015
- rebuild

* Thu Aug 15 2013 billybot <billybot> 2.32.0-5pclos2013
- update for python 2.7

* Sun Oct 16 2011 Texstar <texstar at gmail.com> 2.32.0-4pclos2010
- update
